Index: Dev/branches/jos-branch/classes/master.php
===================================================================
--- Dev/branches/jos-branch/classes/master.php	(revision 229)
+++ Dev/branches/jos-branch/classes/master.php	(revision 230)
@@ -20,4 +20,8 @@
 	else if (file_exists('classes/models/' . $class_name . '.php'))
 		require 'classes/models/' . $class_name . '.php';
+	else if (file_exists('classes/widgets/' . $class_name . '.php'))
+		require 'classes/widgets/' . $class_name . '.php';
+	else if (file_exists('classes/styles/' . $class_name . '.php'))
+		require 'classes/styles/' . $class_name . '.php';
 }
 
Index: Dev/branches/jos-branch/classes/styles/Logo.php
===================================================================
--- Dev/branches/jos-branch/classes/styles/Logo.php	(revision 230)
+++ Dev/branches/jos-branch/classes/styles/Logo.php	(revision 230)
@@ -0,0 +1,31 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * Description of Logo
+ *
+ * @author tschipper
+ */
+class Logo {
+
+    // hardcoded logo div, image is defined in stylesheet. (#logo background:"";)
+    public function __construct() {
+        ?>
+
+        <div id="logo">
+            <div id="logoImage">
+                Research Tool
+            </div>
+            <div id="logoControls">
+                Welcome, Igor! <a href="logout.php">Log out</a>
+            </div>
+        </div>
+
+        <?php
+    }
+
+}
+?>
Index: Dev/branches/jos-branch/classes/styles/StyleSheet.php
===================================================================
--- Dev/branches/jos-branch/classes/styles/StyleSheet.php	(revision 230)
+++ Dev/branches/jos-branch/classes/styles/StyleSheet.php	(revision 230)
@@ -0,0 +1,34 @@
+<?php
+
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * Standard stylesheet class
+ *
+ * @author tschipper
+ */
+class StyleSheet {
+
+    public $filename; // includes path
+
+    public function __construct($styleName) {
+
+        // call new StyleSheet("standard") to load css/standard.css
+        $this->path = "css/" . $styleName . ".css";
+
+        echo '<link rel="Stylesheet" type="text/css" href="css/resetstyle.css" />';
+        echo '<link rel="Stylesheet" type="text/css" href="' . $this->path . '"/>';
+        
+        echo "\n";
+    }
+
+    public function ChangeStyle($styleName) {
+        $this->path = "css/" . $styleName . ".css";
+    }
+
+}
+
+?>
Index: Dev/branches/jos-branch/classes/widgets/DbDataSelectionWidget.php
===================================================================
--- Dev/branches/jos-branch/classes/widgets/DbDataSelectionWidget.php	(revision 230)
+++ Dev/branches/jos-branch/classes/widgets/DbDataSelectionWidget.php	(revision 230)
@@ -0,0 +1,36 @@
+<?php
+
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * Description of dbDataSelectionWidget
+ *
+ * @author CPS
+ */
+class DbDataSelectionWidget {
+
+    //Properties
+    
+    public $sessions;
+    public $gamedata;
+
+    public function __construct() {
+        $dbi = new DatabaseInterface();
+        
+        $this->sessions = $dbi->get("Session", array());
+        $this->gamedata = $dbi->get("Application", array());
+    }
+
+    public function Javascript() {
+        ?>
+        <script type='text/javascript' src="js/generalScripts.js"></script>
+        <script type='text/javascript' src="js/dashboardScripts.js"></script>
+        <?php
+
+    }
+
+}
+?>
Index: Dev/branches/jos-branch/classes/widgets/PipelineInfoPanel.php
===================================================================
--- Dev/branches/jos-branch/classes/widgets/PipelineInfoPanel.php	(revision 230)
+++ Dev/branches/jos-branch/classes/widgets/PipelineInfoPanel.php	(revision 230)
@@ -0,0 +1,32 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * Info panel, to the side of the Toolbox, showing various stats and links for the current pipeline.
+ *
+ * @author Thijs Schipper
+ */
+class PipelineInfoPanel {
+
+    private $linkedSequencer;
+
+    public function __construct() {
+        ?>
+        <div>
+            <div id="infoPanel" class="largeFrame">
+                <div class="largeTitle">
+                    Info
+                </div>
+                <div id="infoPanelContent" class="content">
+                    
+                </div>
+            </fieldset>
+        </div>
+        <?php
+    }
+
+}
+?>
Index: Dev/branches/jos-branch/classes/widgets/SessionEditorWidget.php
===================================================================
--- Dev/branches/jos-branch/classes/widgets/SessionEditorWidget.php	(revision 230)
+++ Dev/branches/jos-branch/classes/widgets/SessionEditorWidget.php	(revision 230)
@@ -0,0 +1,115 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * A visual interface object for editing and viewing a session's pipeline.
+ *
+ * @author Tschipper
+ */
+class SessionEditorWidget {
+
+    // properties
+    private $loadedSession;
+    private $selectedStep;
+
+    public function __construct() {
+    }
+
+    public function init() {
+        $stringPipeline = "";
+        $stringPipelineType = "";
+        $stringPipelineUpdated = "";
+        $numberOfSteps = 0;
+
+        if (is_array($this->loadedSession->pipeline)) {
+            foreach ($this->loadedSession->pipeline as $object) {
+                $stringPipeline .= "$object->uid,";
+                $stringPipelineType .= get_class($object) . ",";
+                $stringPipelineUpdated .= "0,";
+                $numberOfSteps++;
+            }
+        } else {
+            $stringPipeline = $this->loadedSession->pipeline;
+            $stringPipelineType = $_POST['pipelineTypes'];
+            $stringPipelineUpdated = $_POST['pipelineUpdatedField'];
+        }
+        ?>
+        <br />
+
+        <div id="sequencer" class="largeFrame">
+            <div class="largeTitle">Name <?php echo $this->loadedSession->title; ?></div>
+            
+            <div id="seqContent" class="innerLargeFrame">
+                <div id="seqContentWrapper"></div>
+            </div>
+
+            <div class="controls">
+                <input type="button" id="moveSelectedL" value="< Move" class="smallButton"  onClick="moveStep(-1);" />
+                <input type="button" id="moveSelectedR" value="Move >" class="smallButton"  onClick="moveStep(1);" />
+                <input type="button" id="editSelected" value="Edit step" class="smallButton" onClick="editStep();" />
+                <input type="button" id="deleteSelected" value="Delete step" class="smallButton" onClick="deleteStep();" />
+                <input type="submit" id ="clearPipeline" name="clearPipeline" value="Clear pipeline" class="smallButton dis" disabled="true"/>
+                <input type="checkbox" id="confirmClear" name="confirmClear" onChange="IsCheckEnabled(this, document.getElementById('clearPipeline'));" />Really clear?
+                <input type="button" value="debug_save" onClick="savePipeline(true);" />
+            </div>
+            
+            <div id="hiddenInputs">
+                <input type="hidden" id="selectedStepField" value="" />
+                <input type="hidden" id="pipelineStringField" value="<?php echo $stringPipeline; ?>" />
+                <input type="hidden" id="pipelineTypeField" value="<?php echo $stringPipelineType; ?>" />
+                <input type="hidden" id="pipelineUpdatedField" value="<?php echo $stringPipelineUpdated; ?>" />
+                <input type="hidden" id="numSteps" value="<?php echo $numberOfSteps; ?>" />
+                <input type="hidden" id="sessionField" value="<?php echo $this->loadedSession->uid; ?>" />
+                <input type="hidden" id="sessionTitleField" value="<?php echo $this->loadedSession->title; ?>" />
+            </div>
+        </div>
+
+        
+        <?php
+    }
+
+    public function Javascript() {
+        ?>
+        <script type="text/javascript" src="js/generalScripts.js"></script>
+        <script type="text/javascript" src="js/sequencerScripts.js"></script>
+        <script type="text/javascript" src="js/jquery.js"></script>
+        <script type="text/javascript">
+
+            var ddMenu = new DDMenu();
+            
+            $(document).ready(function() {
+                loadSequencer();
+                ddMenu.Init();
+            });
+        </script>
+        <?php
+    }
+
+    public function LoadSession() {   // Initialize variables on page load.
+		// Redirect if no session is set
+        if (!isset($_SESSION['currentSession'])) {
+            redirect("selectSession.php");
+        }
+        // Store the current session in internal variable
+        $results = Session::get(array("uid"=> $_SESSION['currentSession']));
+		//print_r($results);
+        if (!empty($results)) {
+            if ($results[0]->evaluate()) {
+                $this->loadedSession = $results[0];
+            }
+        }
+        else {
+            // Throw error and quit if no results found
+            die("No session with that UID found!");
+        }
+    }
+
+    public function HandlePostData() {
+                
+    }
+
+}
+?>
Index: Dev/branches/jos-branch/classes/widgets/SurveyEditorWidget.php
===================================================================
--- Dev/branches/jos-branch/classes/widgets/SurveyEditorWidget.php	(revision 230)
+++ Dev/branches/jos-branch/classes/widgets/SurveyEditorWidget.php	(revision 230)
@@ -0,0 +1,107 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * The PHP class that implements the survey editor interface
+ *
+ * @author Thijs Schipper
+ */
+class SurveyEditorWidget {
+
+    private $loadedSurvey;
+    private $dbi;
+
+    public function __construct() {
+        // Set basic variables
+        // Should probably include a default empty survey for the sake of safety
+        $dbi = new DatabaseInterface();
+    }
+
+    public function handlePost() {
+        // Get POSTed data and store variables to class instance properties
+        $dbi = new DatabaseInterface();
+        if (isset($_POST['objectUid']) && !empty($_POST['objectUid'])) {
+            $surveyResults = $dbi->get("Survey", array("uid" => $_POST['objectUid']));
+            if (!empty($surveyResults)) {
+                $this->loadedSurvey = $surveyResults[0];
+            } else {
+                die("No surveys found!");
+            }
+        } else {
+            die("Incorrect or null uid passed!");
+        }
+    }
+
+    public function init() {
+        $questionString = "";
+        foreach ($this->loadedSurvey->questions as $question) {
+            $questionString .= $question->code . ",";
+        }
+        // echo the HTML markup to display the editor on the screen
+        ?>
+
+        <div id="surveyEditor" class="largeFrame">
+            <div class="largeTitle" id="surveyTitle">
+                <?php echo $this->loadedSurvey->title; ?>
+            </div>
+            <div id="seqContent" class="innerLargeFrame">
+                <div id="seqContentWrapper">
+
+                </div>
+            </div>
+            <div id="surveyEditorVertControls" class="vertControls">
+                <div class="segment">
+                    <label>Move</label>
+                    <input type="button" id="vertControls_MoveUp" class="bigButton vertical" value="Ë" />
+                    <input type="button" id="vertControls_MoveDown" class="bigButton vertical" value="Ë
+" />
+                </div>
+                <input type="button" id="vertControls_Add" class="bigButton vertical" value="+" onClick="addQuestion_Click();" />
+            </div>
+            <div id="surveyEditorControls" class="controls">
+                <div id="pageControls">
+                    <input type="button" value="<<" id="pageControls_first" onClick="" />
+                    <input type="button" value="<" id="pageControls_previous" onClick="" />
+                    Page <input type="text" value="1" id="pageControls_current" onChange="" class="smallTextField" /> of 5
+                    <input type="button" value=">" id="pageControls_next" onClick="" />
+                    <input type="button" value=">>" id="pageControls_last" onClick="" />
+                </div>
+
+                <input type="button" value="Discard survey" onClick="javascript:alert('discard not yet supported');" class="smallButton" />
+                <input type="button" value="Save survey" onClick="saveSurvey(true);" class="smallButton" />
+            </div>
+
+        </div>
+
+
+        <form id="hiddenInputs">
+            <input type="hidden" id="surveyUidField" value="<?php echo $this->loadedSurvey->uid; ?>" />
+            <input type="hidden" id="questionUidsField" value="<?php echo $questionString ?>" />
+            <input type="hidden" id="surveyTitleField" value="<?php echo $this->loadedSurvey->title; ?>" />
+            <input type="hidden" id="numQuestionsField" value="<?php echo count($this->loadedSurvey->questions); ?>" />
+            <input type="hidden" id="surveyDescriptionField" value="<?php echo $this->loadedSurvey->description; ?>" />
+        </form>
+
+
+        <?php
+    }
+
+    public function javascript() {
+        // output the javascript tags and needed functions in the head of the page
+        ?>
+        <script type="text/javascript" src="js/sequencerScripts.js"></script>
+        <script type="text/javascript" src="js/generalscripts.js"></script>
+        <script type="text/javascript" src="js/jquery.js"></script>
+        <script type="text/javascript">
+            $(document).ready(function() {
+                loadSequencer();
+            });
+        </script>
+        <?php
+    }
+
+}
+?>
Index: Dev/branches/jos-branch/classes/widgets/Toolbox.php
===================================================================
--- Dev/branches/jos-branch/classes/widgets/Toolbox.php	(revision 230)
+++ Dev/branches/jos-branch/classes/widgets/Toolbox.php	(revision 230)
@@ -0,0 +1,56 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * Description of ToolBox
+ *
+ * @author HP
+ */
+class Toolbox {
+
+    public function __construct() {
+        ?>
+
+        <br />
+
+        <div id="toolbox" class="largeFrame">
+            <div class="largeTitle">Toolbox</div>
+            <div class="content">
+                <p style="float: left; clear:both; margin-bottom: 1em;">Add new:</p>
+                <ul id="toolboxMenu">
+                    <li>
+                        <div class="bigButton toolbox" onclick="ddMenu.Open('toolbox_m1')"><img src="images/icons/survey.png" class="buttonIcon" /><p>Survey</p>
+                            <div id="toolbox_m1" onmouseover="ddMenu.CancelCloseTimer()" onmouseout="ddMenu.SetCloseTimer()">
+                                <a href="#" >+ Add new</a>
+                                <a href="#">> Add existing</a>
+                            </div>
+
+                        </div>
+                    </li>
+                    <li>
+                        <div class="bigButton toolbox" onClick="ddMenu.Open('toolbox_m2')"><img src="images/icons/application.png" class="buttonIcon" /><p>Application</p>
+                            <div id="toolbox_m2" onmouseover="ddMenu.CancelCloseTimer()" onmouseout="ddMenu.SetCloseTimer()">
+                                <a href="#">+ Add new</a>
+                                <a href="#">> Add existing</a>
+                            </div>
+                        </div>
+                    </li>
+                    <li>
+                        <div class="bigButton toolbox" onClick="ddMenu.Open('toolbox_m3')"><img src="images/icons/dashboard.png" class="buttonIcon" /><p>Dashboard</p>
+                            <div id="toolbox_m3" onmouseover="ddMenu.CancelCloseTimer()" onmouseout="ddMenu.SetCloseTimer()">
+                                <a href="#">+ Add new</a>
+                                <a href="#">> Add existing</a>
+                            </div>
+                        </div>
+                    </li>
+                </ul>
+            </div>
+        </div>
+        <?php
+    }
+
+}
+?>
Index: Dev/branches/jos-branch/data/applications/applications.rdf
===================================================================
--- Dev/branches/jos-branch/data/applications/applications.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/applications/applications.rdf	(revision 230)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/applications/applications.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/application/4069e61b1f523a5b5ff2cecf93e0fc1b">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/application"/>
+   <ns1:uid>4069e61b1f523a5b5ff2cecf93e0fc1b</ns1:uid>
+   <ns1:title>Hippe App</ns1:title>
+   <ns1:description>Deze app is best wel hip.</ns1:description>
+   <ns1:style>styl0</ns1:style>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/questions/questions.rdf
===================================================================
--- Dev/branches/jos-branch/data/questions/questions.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/questions/questions.rdf	(revision 230)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/questions/questions.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/question/4f012bc097165a431aeed1d8d35e788c">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/question"/>
+   <ns1:question_code>4f012bc097165a431aeed1d8d35e788c</ns1:question_code>
+   <ns1:title>Titel</ns1:title>
+   <ns1:description>Beschrijving</ns1:description>
+   <ns1:question_type>Type</ns1:question_type>
+   <ns1:question_category>Categorie</ns1:question_category>
+   <ns1:has_answer>Antwoord1</ns1:has_answer>
+   <ns1:has_answer>antwoord2</ns1:has_answer>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/question/fa9eeeaeb582db67d24ccdda20d02c45">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/question"/>
+   <ns1:question_code>fa9eeeaeb582db67d24ccdda20d02c45</ns1:question_code>
+   <ns1:title>Titel</ns1:title>
+   <ns1:description>Beschrijving</ns1:description>
+   <ns1:question_type>Type</ns1:question_type>
+   <ns1:question_category>Categorie</ns1:question_category>
+   <ns1:has_answer>Antwoord1</ns1:has_answer>
+   <ns1:has_answer>antwoord2</ns1:has_answer>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/question/01d9d6f38924700d82cb4d9c167fb1a3">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/question"/>
+   <ns1:question_code>01d9d6f38924700d82cb4d9c167fb1a3</ns1:question_code>
+   <ns1:title>Titel</ns1:title>
+   <ns1:description>Beschrijving</ns1:description>
+   <ns1:question_type>Type</ns1:question_type>
+   <ns1:question_category>Categorie</ns1:question_category>
+   <ns1:has_answer>Antwoord1</ns1:has_answer>
+   <ns1:has_answer>antwoord2</ns1:has_answer>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/results/answers.rdf
===================================================================
--- Dev/branches/jos-branch/data/results/answers.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/results/answers.rdf	(revision 230)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/answers/answers.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/answer/dc109ae7ba74302111e22fdf1ab32a1b">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/answer"/>
+   <ns1:uid>dc109ae7ba74302111e22fdf1ab32a1b</ns1:uid>
+   <ns1:question_code>4f012bc097165a431aeed1d8d35e788c</ns1:question_code>
+   <ns1:answered>yup</ns1:answered>
+   <ns1:answered>sup</ns1:answered>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/results/answersets.rdf
===================================================================
--- Dev/branches/jos-branch/data/results/answersets.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/results/answersets.rdf	(revision 230)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/answers/answersets.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+   
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/answerset/41834db540ba6f39a2e3dde9dd4f1e55">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/answerset"/>
+   <ns1:uid>41834db540ba6f39a2e3dde9dd4f1e55</ns1:uid>
+   <ns1:for_survey>e0bdd2893f1ba24be2b3cda376e803d8</ns1:for_survey>
+   <ns1:by_respondent>0cf88220111e68549bc04f8b9a8b3ed7</ns1:by_respondent>
+   <ns1:given_answer>dc109ae7ba74302111e22fdf1ab32a1b</ns1:given_answer>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/results/resultsets.rdf
===================================================================
--- Dev/branches/jos-branch/data/results/resultsets.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/results/resultsets.rdf	(revision 230)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/results/resultsets.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/resultset/8b3fd8acb76efd507424ee7230c1173c">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/resultset"/>
+   <ns1:uid>8b3fd8acb76efd507424ee7230c1173c</ns1:uid>
+   <ns1:has_answerset>41834db540ba6f39a2e3dde9dd4f1e55</ns1:has_answerset>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/resultset/d9be031deef7915dce27d661a72a9412">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/resultset"/>
+   <ns1:uid>d9be031deef7915dce27d661a72a9412</ns1:uid>
+   <ns1:has_answerset>41834db540ba6f39a2e3dde9dd4f1e55</ns1:has_answerset>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/sessions/sessioninstances.rdf
===================================================================
--- Dev/branches/jos-branch/data/sessions/sessioninstances.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/sessions/sessioninstances.rdf	(revision 230)
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/sessions/sessioninstances.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/sessioninstance/11e3300106e3cb656a8f68b88f240b02">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/sessioninstance"/>
+   <ns1:uid>11e3300106e3cb656a8f68b88f240b02</ns1:uid>
+   <ns1:title>Titel</ns1:title>
+   <ns1:location>Locatie</ns1:location>
+   <ns1:facilitator>9043f64705e67ceb8f28242207b83adf</ns1:facilitator>
+   <ns1:starttime>1326443128</ns1:starttime>
+   <ns1:endtime>1326443128</ns1:endtime>
+   <ns1:of_session>293b162b0b774ec1b303ce839b60ebd2</ns1:of_session>
+   <ns1:has_resultset>d9be031deef7915dce27d661a72a9412</ns1:has_resultset>
+</rdf:Description>
+
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/sessions/sessions.rdf
===================================================================
--- Dev/branches/jos-branch/data/sessions/sessions.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/sessions/sessions.rdf	(revision 230)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/answers/answersets.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/session/293b162b0b774ec1b303ce839b60ebd2">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/session"/>
+   <ns1:uid>293b162b0b774ec1b303ce839b60ebd2</ns1:uid>
+   <ns1:title>SoepSessie</ns1:title>
+   <ns1:creator>9043f64705e67ceb8f28242207b83adf</ns1:creator>
+   <ns1:creationdate>1325859442</ns1:creationdate>
+   <ns1:has_survey>cd1abe5d20bb1af6c7ec965af69e3f20</ns1:has_survey>
+   <ns1:has_application>4069e61b1f523a5b5ff2cecf93e0fc1b</ns1:has_application>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/surveys/surveys.rdf
===================================================================
--- Dev/branches/jos-branch/data/surveys/surveys.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/surveys/surveys.rdf	(revision 230)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/surveys/surveys.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/survey/e0bdd2893f1ba24be2b3cda376e803d8">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/survey"/>
+   <ns1:uid>e0bdd2893f1ba24be2b3cda376e803d8</ns1:uid>
+   <ns1:title>SuperSurvey</ns1:title>
+   <ns1:description>Beschrijving</ns1:description>
+   <ns1:creator>9043f64705e67ceb8f28242207b83adf</ns1:creator>
+   <ns1:has_question>01d9d6f38924700d82cb4d9c167fb1a3</ns1:has_question>
+   <ns1:has_question>fa9eeeaeb582db67d24ccdda20d02c45</ns1:has_question>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/survey/cd1abe5d20bb1af6c7ec965af69e3f20">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/survey"/>
+   <ns1:uid>cd1abe5d20bb1af6c7ec965af69e3f20</ns1:uid>
+   <ns1:title>SuperSurvey</ns1:title>
+   <ns1:description>Beschrijving</ns1:description>
+   <ns1:creator>9043f64705e67ceb8f28242207b83adf</ns1:creator>
+   <ns1:has_question>01d9d6f38924700d82cb4d9c167fb1a3</ns1:has_question>
+   <ns1:has_question>fa9eeeaeb582db67d24ccdda20d02c45</ns1:has_question>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/users/respondents.rdf
===================================================================
--- Dev/branches/jos-branch/data/users/respondents.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/users/respondents.rdf	(revision 230)
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/users/respondents.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/respondent/d83a3c1ec4c6ef3b04e32bd1241331c4">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/respondent"/>
+   <ns1:uid>d83a3c1ec4c6ef3b04e32bd1241331c4</ns1:uid>
+   <ns1:name>Jos</ns1:name>
+   <ns1:password>w8w00rd</ns1:password>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/respondent/0cf88220111e68549bc04f8b9a8b3ed7">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/respondent"/>
+   <ns1:uid>0cf88220111e68549bc04f8b9a8b3ed7</ns1:uid>
+   <ns1:name>Jos</ns1:name>
+   <ns1:password>w8w00rd</ns1:password>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/data/users/users.rdf
===================================================================
--- Dev/branches/jos-branch/data/users/users.rdf	(revision 230)
+++ Dev/branches/jos-branch/data/users/users.rdf	(revision 230)
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!-- Generated by RdfSerializer.php from RDF RAP.
+# http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/index.html !-->
+
+<rdf:RDF
+   xml:base="data/users/users.rdf#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:ns1="http://tbm.tudelft.nl/researchtool/predicates/">
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/user/b76cbf38cac7a3f048ca0d64a6c3ef58">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/user"/>
+   <ns1:name>iets</ns1:name>
+   <ns1:uid>b76cbf38cac7a3f048ca0d64a6c3ef58</ns1:uid>
+   <ns1:password>Vo87e37xIpm4uP4AfyHR9aSERlYpcgwE93Bc+rf2fD0=</ns1:password>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/user/efa84d358d1bbd732c4075a1b3832dc7">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/user"/>
+   <ns1:name>booya</ns1:name>
+   <ns1:uid>efa84d358d1bbd732c4075a1b3832dc7</ns1:uid>
+   <ns1:password>Zk3CKJGWXcEvljUUmyAU5aLwTuwsMwdZZcDCzAH9Xrk=</ns1:password>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/user/caa33a16c3b30cdcb7a5f0434c23e210">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/user"/>
+   <ns1:name>frans</ns1:name>
+   <ns1:uid>caa33a16c3b30cdcb7a5f0434c23e210</ns1:uid>
+   <ns1:password>YrNByNHxZwPoreIjW3lpAgeMg+J6kYBdl53uBCsHRKo=</ns1:password>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/user/9043f64705e67ceb8f28242207b83adf">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/user"/>
+   <ns1:name>jkraaijeveld</ns1:name>
+   <ns1:uid>9043f64705e67ceb8f28242207b83adf</ns1:uid>
+   <ns1:password>NWCbqdOCRGewETOoMI1YepJsoGQMjKozC5XOjtM5Mm8=</ns1:password>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/user/174c186b7a551b2ce08e6b9daf23c4de">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/user"/>
+   <ns1:uid>174c186b7a551b2ce08e6b9daf23c4de</ns1:uid>
+   <ns1:name>Jos</ns1:name>
+   <ns1:password>testest</ns1:password>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/user/5f1aa9dea85a479a4da557d6d25d4383">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/user"/>
+   <ns1:uid>5f1aa9dea85a479a4da557d6d25d4383</ns1:uid>
+   <ns1:name>Testuser</ns1:name>
+   <ns1:password>test</ns1:password>
+</rdf:Description>
+
+<rdf:Description rdf:about="http://tbm.tudelft.nl/researchtool/resources/user/18204e8527254b476c7b97fd95dfa9db">
+   <ns1:resource_type rdf:resource="http://tbm.tudelft.nl/researchtool/resources/user"/>
+   <ns1:uid>18204e8527254b476c7b97fd95dfa9db</ns1:uid>
+   <ns1:name>Nieuwehippesystemen</ns1:name>
+   <ns1:password>zijncool</ns1:password>
+</rdf:Description>
+
+</rdf:RDF>
Index: Dev/branches/jos-branch/getInfo.php
===================================================================
--- Dev/branches/jos-branch/getInfo.php	(revision 229)
+++ Dev/branches/jos-branch/getInfo.php	(revision 230)
@@ -15,8 +15,8 @@
     return;
 }
+echo $type;
 
-$dbi = new DatabaseInterface();
 
-$results = $dbi->get($type, array("uid" => $uid));
+$results = $type::get(array("uid" => $uid));
 
 if (count($results) > 0) {      // check if DB object exists and assign it to variable
Index: Dev/branches/jos-branch/index.php
===================================================================
--- Dev/branches/jos-branch/index.php	(revision 229)
+++ Dev/branches/jos-branch/index.php	(revision 230)
@@ -16,10 +16,9 @@
 if (isset($_POST['register'])) {
     if (isset($_POST['username']) && isset($_POST['password'])) {
-        $dbi = new DatabaseInterface();
-        $user_results = $dbi->get("user", array("name" => $_POST['username']));
+        $user_results = User::get(array("name" => $_POST['username']));
         if (count($user_results) == 0 || !$user_results) {
             if (strlen($_POST['password']) > 6) {
                 $user = new User(null, $_POST['username'], $_POST['password']);
-                $dbi->set($user);
+				$user->save();
                 $_SESSION['userUid'] = $user->uid;
             } else {
@@ -35,6 +34,5 @@
 
 if (isset($_POST['login'])) {   // User clicked the login button
-    $dbi = new DatabaseInterface();
-    $user_results = $dbi->get("user", array("name" => $_POST['username']));
+    $user_results = User::get(array("name" => $_POST['username']));
     if (isset($user_results[0])) {
         if ($user_results[0]->password == $_POST['password']) {
Index: Dev/branches/jos-branch/selectSession.php
===================================================================
--- Dev/branches/jos-branch/selectSession.php	(revision 229)
+++ Dev/branches/jos-branch/selectSession.php	(revision 230)
@@ -11,6 +11,4 @@
 }
 
-$dbi = new DatabaseInterface();
-
 if (isset($_POST['createSession'])) {
     //check if name is set
@@ -18,12 +16,12 @@
         // check if name is available
         if (!empty($_POST['newSessionName'])) {
-            $session_results = $dbi->get("Session", array("title" => $_POST['newSessionName']));
+            $session_results = Session::get(array("title" => $_POST['newSessionName']));
             if (count($session_results) == 0) {
                 // make new session!
                 unset($session_results);
-                $creators = $dbi->get("User", array("uid" => $_SESSION['userUid']));
+                $creators = User::get(array("uid" => $_SESSION['userUid']));
                 $creator = $creators[0];
                 $session = new Session(null, $_POST['newSessionName'], $creator, new DateTime(), null, null);
-                $dbi->set($session);
+				$session->save();
             } else {
                 $errorMessage[] = "A session with the name " . $_POST['newSessionName'] . " already exists!";
@@ -44,5 +42,5 @@
 	var_dump($_POST);
     if (isset($_POST['sessionUid'])) {
-        $session_results = $dbi->get("SESSION", array("uid" => $_POST['sessionUid']));
+        $session_results = Session::get((array("uid" => $_POST['sessionUid'])));
 		var_dump($session_results);
         if (count($session_results) == 1 && $session_results[0] != null) {
@@ -57,5 +55,5 @@
 //Get available sessions for current user
 //$sessions = $dbi->get("Session", array("creator"=>$_SESSION['username']));  //This does not work, session.php does not yet have a property 'creator'
-$sessions = $dbi->get("Session");  // Let's just load everything then...
+$sessions = Session::get(array());  // Let's just load everything then...
 ?>
 
Index: Dev/branches/jos-branch/testpage.php
===================================================================
--- Dev/branches/jos-branch/testpage.php	(revision 229)
+++ Dev/branches/jos-branch/testpage.php	(revision 230)
@@ -1,8 +1,8 @@
 <?php
     require 'classes/master.php';
-	
-	$sessionInstance = new Sessioninstance(null, "Titel", "Locatie", "9043f64705e67ceb8f28242207b83adf", new Datetime(), new Datetime(), array(), "293b162b0b774ec1b303ce839b60ebd2", null);
-	$sessionInstance->save();
 	$result = SessionInstance::get(array());
-	print_r($result);
+	$sessionInstance = $result[0];
+	$sessionInstance->evaluate();
+	print_r($sessionInstance);
+
 ?>
